> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Approval detail

> One repair's quote comparison and what would go to the landlord



## OpenAPI

````yaml /openapi.json get /maintenance-pro/approvals/{id}
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: desk
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /maintenance-pro/approvals/{id}:
    get:
      tags:
        - maintenance-pro
      summary: Approval detail
      description: One repair's quote comparison and what would go to the landlord
      operationId: maintenance-pro.approvalDetail
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  repairId:
                    type: string
                  reference:
                    anyOf:
                      - type: string
                      - type: 'null'
                  place:
                    type: string
                  fault:
                    type: string
                  urgency:
                    type: string
                  timeZone:
                    type: string
                  landlord:
                    anyOf:
                      - type: object
                        properties:
                          contactId:
                            type: string
                          name:
                            type: string
                          firstName:
                            type: string
                          email:
                            anyOf:
                              - type: string
                              - type: 'null'
                          mobile:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - contactId
                          - name
                          - firstName
                          - email
                          - mobile
                        additionalProperties: false
                      - type: 'null'
                  limit:
                    anyOf:
                      - type: object
                        properties:
                          amountMinor:
                            anyOf:
                              - type: number
                              - type: string
                                enum:
                                  - Infinity
                                  - '-Infinity'
                                  - NaN
                          currency:
                            type: string
                        required:
                          - amountMinor
                          - currency
                        additionalProperties: false
                      - type: 'null'
                  preference:
                    anyOf:
                      - type: string
                      - type: 'null'
                  targetDueAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  quotes:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        contractorContactId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        contractor:
                          type: string
                        amountMinor:
                          anyOf:
                            - type: number
                            - type: string
                              enum:
                                - Infinity
                                - '-Infinity'
                                - NaN
                        currency:
                          type: string
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                        earliestStartOn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        schemes:
                          type: array
                          items:
                            type: string
                        rating:
                          anyOf:
                            - anyOf:
                                - type: number
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: 'null'
                        selected:
                          type: boolean
                      required:
                        - id
                        - contractorContactId
                        - contractor
                        - amountMinor
                        - currency
                        - description
                        - earliestStartOn
                        - schemes
                        - rating
                        - selected
                      additionalProperties: false
                  outstanding:
                    type: array
                    items:
                      type: object
                      properties:
                        requestId:
                          type: string
                        contractor:
                          type: string
                        askedAt:
                          type: string
                        chasedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - requestId
                        - contractor
                        - askedAt
                        - chasedAt
                      additionalProperties: false
                  suggestedNote:
                    type: string
                  sendBlocked:
                    anyOf:
                      - type: string
                      - type: 'null'
                  current:
                    anyOf:
                      - $ref: '#/components/schemas/LandlordApprovalRow'
                      - type: 'null'
                required:
                  - repairId
                  - reference
                  - place
                  - fault
                  - urgency
                  - timeZone
                  - landlord
                  - limit
                  - preference
                  - targetDueAt
                  - quotes
                  - outstanding
                  - suggestedNote
                  - sendBlocked
                  - current
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended | PlanRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantSuspendedEncoded'
                  - $ref: '#/components/schemas/PlanRequiredEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound | LandlordApprovalNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/LandlordApprovalNotFoundEncoded'
        '409':
          description: >-
            WebhookDuplicate | RegistrationConflict | LandlordApprovalRefused |
            ApprovalActionRefused | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/LandlordApprovalRefusedEncoded'
                  - $ref: '#/components/schemas/ApprovalActionRefusedEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    LandlordApprovalRow:
      type: object
      properties:
        id:
          type: string
        quoteId:
          type: string
        amountMinor:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        currency:
          type: string
        email:
          type: string
        state:
          type: string
          enum:
            - sent
            - opened
            - approved
            - declined
            - revoked
            - superseded
            - expired
            - stale
        sentAt:
          type: string
        sentCount:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        expiresAt:
          type: string
        openedAt:
          anyOf:
            - type: string
            - type: 'null'
        lastOpenedAt:
          anyOf:
            - type: string
            - type: 'null'
        revokedAt:
          anyOf:
            - type: string
            - type: 'null'
        decision:
          anyOf:
            - type: string
              enum:
                - approved
                - declined
            - type: 'null'
        decisionNote:
          anyOf:
            - type: string
            - type: 'null'
        decidedAt:
          anyOf:
            - type: string
            - type: 'null'
        chosenQuoteId:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        note:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        smsSentAt:
          anyOf:
            - anyOf:
                - type: string
                - type: 'null'
            - type: 'null'
        answers:
          type: array
          items:
            type: object
            properties:
              kind:
                type: string
                enum:
                  - approved
                  - declined
                  - question
              note:
                anyOf:
                  - type: string
                  - type: 'null'
              at:
                type: string
            required:
              - kind
              - note
              - at
            additionalProperties: false
      required:
        - id
        - quoteId
        - amountMinor
        - currency
        - email
        - state
        - sentAt
        - sentCount
        - expiresAt
        - openedAt
        - lastOpenedAt
        - revokedAt
        - decision
        - decisionNote
        - decidedAt
        - answers
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    PlanRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - PlanRequired
        tenantId:
          type: string
      required:
        - _tag
        - tenantId
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    LandlordApprovalNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - LandlordApprovalNotFound
        resource:
          type: string
        id:
          type: string
      required:
        - _tag
        - resource
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    LandlordApprovalRefusedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - LandlordApprovalRefused
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    ApprovalActionRefusedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApprovalActionRefused
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.